> ## Documentation Index
> Fetch the complete documentation index at: https://cognitio-agent.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Start MCP OAuth

> Start OAuth authentication flow for a Model Context Protocol (MCP) server.



## OpenAPI

````yaml /openapi.json post /mcp/{name}/auth
openapi: 3.1.1
info:
  title: cognitio
  description: cognitio api
  version: 1.0.0
servers: []
security: []
paths:
  /mcp/{name}/auth:
    post:
      summary: Start MCP OAuth
      description: >-
        Start OAuth authentication flow for a Model Context Protocol (MCP)
        server.
      operationId: mcp.auth.start
      parameters:
        - in: query
          name: directory
          schema:
            type: string
        - in: query
          name: workspace
          schema:
            type: string
        - schema:
            type: string
          in: path
          name: name
          required: true
      responses:
        '200':
          description: OAuth flow started
          content:
            application/json:
              schema:
                type: object
                properties:
                  authorizationUrl:
                    description: URL to open in browser for authorization
                    type: string
                required:
                  - authorizationUrl
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestError'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFoundError'
      x-codeSamples:
        - lang: js
          source: |-
            import { createCognitioClient } from "@cognitio/sdk

            const client = createCognitioClient()
            await client.mcp.auth.start({
              ...
            })
components:
  schemas:
    BadRequestError:
      type: object
      properties:
        data: {}
        errors:
          type: array
          items:
            type: object
            propertyNames:
              type: string
            additionalProperties: {}
        success:
          type: boolean
          const: false
      required:
        - data
        - errors
        - success
    NotFoundError:
      type: object
      properties:
        name:
          type: string
          const: NotFoundError
        data:
          type: object
          properties:
            message:
              type: string
          required:
            - message
      required:
        - name
        - data

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.